# GPG Manager
🏁 **Description:**

GPG Manager is a program written in Bash that centralizes all GPG functionalities in one place using a command line (terminal) menu system. With this tool, you will be able to create, list, edit and delete GPG keys quickly and easily, as well as perform other GPG-related operations.

⭐ **Features:**

- Key Management: Create, list, edit, and delete GPG keys with easy-to-follow options.

- Encryption and Decryption Operations: Easily encrypt and decrypt documents through interactive menus.

- Signing and verification: Sign documents and keys and verify file status.

- Backup and Restore: Backup your keys and restore them when needed.

- Key trade: Manage your keys from the most known keyservers.

- Miscellaneous Operations: Access additional functionality such as listing supported algorithms and other useful options.

- User-Friendly Interface: Navigate through clear and accessible menus, with options to return to the main menu at any time.

- Error Handling: The program is designed to handle errors and provide clear options for the user to decide how to proceed.

☑️ **Requirements:**

- Bash

- GPG (GNU Privacy Guard). This program is requiered but installed at runtime.

⚙️ **Installation:**

Clone this repository: `git clone https://github.com/manuwarfare/gpgmngr.git`

Navigate to the project directory: `cd gpgmngr`

Give the main script executable permissions: `chmod +x gpgmngr.sh`

Run the program: `./gpgmngr.sh`
